Package Details: python-hwilib 2.0.2-2

Git Clone URL: https://aur.archlinux.org/python-hwilib.git (read-only, click to copy)
Package Base: python-hwilib
Description: The Bitcoin Hardware Wallet Interface is a Python library and command line tool for interacting with hardware wallets.
Upstream URL: https://github.com/bitcoin-core/HWI
Licenses: MIT
Submitter: bitcoinlizard
Maintainer: bitcoinlizard
Last Packager: bitcoinlizard
Votes: 0
Popularity: 0.000000
First Submitted: 2021-05-15 03:58
Last Updated: 2021-06-27 21:49

Latest Comments

RealOrRandom commented on 2021-06-13 07:56

Thanks, it works now.

bitcoinlizard commented on 2021-06-12 13:53

@RealOrRandom - hwi-qt should be fixed. I was able to load the QT GUI with the newly uploaded version of the PKGBUILD.

bitcoinlizard commented on 2021-05-26 14:37

I was not aware there was a UI for this package but you are correct, I get the same error. I attempted to run contrib/generate-ui.sh in the PKGBUILD but that didn't resolve the issue. I suspect the PKGBUILD is missing a dependency from here:

https://github.com/bitcoin-core/HWI/blob/master/pyproject.toml

The dependency will have to be added and the package rebuilt. Unfortunately it will be a couple weeks until I'm able to work on this.

RealOrRandom commented on 2021-05-26 09:56

Thank for submitting this package.

The Qt UI version does not work:

> hwi-qt
Could not import UI files, did you run contrib/generate-ui.sh